#ifndef SHARE_HELPER_H
#define SHARE_HELPER_H

void FWRITE_UINT32(FILE *fd, int *err, uint32 v);
void FWRITE_BYTE(FILE *fd, int *err, unsigned char v);
void FWRITE_SHORT(FILE *fd, int *err, short v);
void FWRITE_INT(FILE *fd, int *err, int v);
void FWRITE_STR(FILE *fd, int *err, unsigned char *str);
void FWRITE_BIN(FILE *fd, int *err, unsigned char *str, int len);


uint32 FREAD_UINT32(FILE *fd, int *err);
unsigned char FREAD_BYTE(FILE *fd, int *err);
short FREAD_SHORT(FILE *fd, int *err);
int FREAD_INT(FILE *fd, int *err);
unsigned char *FREAD_STR(FILE *fd, int *err);
unsigned char *FREAD_BIN(FILE *fd, int *err, int *rlen);

#endif
